View Issue Details

IDProjectCategoryView StatusLast Update
0000106FreeCADBugpublic2010-06-29 13:23
ReporterwmayerAssigned Towmayer 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.10 
Target Version0.10Fixed in Version0.10 
Summary0000106: Overflow in methods to create unique object names
DescriptionFor more information see https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=395

These methods are vulnerable:
* Document::save
* Document::getUniqueObjectName
* DynamicProperty::getUniquePropertyName
* Application::getUniqueDocumentName
* Writer::getUniqueFileName
TagsNo tags attached.

Activities

wmayer

2010-06-10 08:41

administrator   ~0000243

Fixed in rev. 3215

Issue History

Date Modified Username Field Change
2010-06-09 06:56 wmayer New Issue
2010-06-09 06:56 wmayer Status new => assigned
2010-06-09 06:56 wmayer Assigned To => wmayer
2010-06-10 08:41 wmayer Note Added: 0000243
2010-06-10 08:42 wmayer Status assigned => closed
2010-06-10 08:42 wmayer Resolution open => fixed
2010-06-10 08:42 wmayer Product Version => 0.10
2010-06-29 13:23 Jriegel Fixed in Version => 0.10